[Mediawiki-l] PageSecurity and 1.9

Fernando Correia fernandoacorreia at gmail.com
Fri Jan 26 10:23:00 UTC 2007


2007/1/25, Rob Church <robchur at gmail.com>:
>
> On 25/01/07, Air Force CGOC Webmaster <webmaster at afcgoc.org> wrote:
> > Is there any word on when PageSecurity will work with MediaWiki 1.9?  I
> > now have a need for the extension, but I've already upgraded my wiki.
>
> The name alone implies this is one of those wonderful
> false-sense-of-security extensions that will never fully work with
> MediaWiki and should not be trusted to secure data, ever. At all.
>
>

There is a warning on the extension documentation that says just that.

I'm not using it to protect confidential data, just to provide a good-enough
solution for our needs.

I chose to release it so others could review it, find its weak spots and
maybe in the future there can be a really safe solution for MediaWiki.


More information about the MediaWiki-l mailing list